| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxNativeFontInfo Class Reference
Graphics Device Interface (GDI)

`#include <wx/fontutil.h>`

## Detailed Description

wxNativeFontInfo is platform-specific font representation: this class should be considered as an opaque font description only used by the native functions, the user code can only get the objects of this type from somewhere and pass it somewhere else (possibly save them somewhere using ToString() and restore them using FromString())

##

Library: wxCore
Category: Graphics Device Interface (GDI)

## Public Member Functions
| wxNativeFontInfo ()
| wxNativeFontInfo (const wxNativeFontInfo &info)
| ~wxNativeFontInfo ()
wxNativeFontInfo & | operator= (const wxNativeFontInfo &info)
void | Init ()
void | InitFromFont (const wxFont &font)
int | GetPointSize () const
wxSize | GetPixelSize () const
wxFontStyle | GetStyle () const
wxFontWeight | GetWeight () const
bool | GetUnderlined () const
wxString | GetFaceName () const
wxFontFamily | GetFamily () const
wxFontEncoding | GetEncoding () const
void | SetPointSize (int pointsize)
void | SetPixelSize (const wxSize &pixelSize)
void | SetStyle (wxFontStyle style)
void | SetWeight (wxFontWeight weight)
void | SetUnderlined (bool underlined)
bool | SetFaceName (const wxString &facename)
void | SetFamily (wxFontFamily family)
void | SetEncoding (wxFontEncoding encoding)
void | SetFaceName (const wxArrayString &facenames)
bool | FromString (const wxString &s)
wxString | ToString () const
bool | FromUserString (const wxString &s)
wxString | ToUserString () const

## Constructor & Destructor Documentation

wxNativeFontInfo::wxNativeFontInfo | ( |  | ) |

wxNativeFontInfo::wxNativeFontInfo | ( | const wxNativeFontInfo & | info | ) |

wxNativeFontInfo::~wxNativeFontInfo | ( |  | ) |

## Member Function Documentation

bool wxNativeFontInfo::FromString | ( | const wxString & | s | ) |

bool wxNativeFontInfo::FromUserString | ( | const wxString & | s | ) |

wxFontEncoding wxNativeFontInfo::GetEncoding | ( |  | ) | const

wxString wxNativeFontInfo::GetFaceName | ( |  | ) | const

wxFontFamily wxNativeFontInfo::GetFamily | ( |  | ) | const

wxSize wxNativeFontInfo::GetPixelSize | ( |  | ) | const

int wxNativeFontInfo::GetPointSize | ( |  | ) | const

wxFontStyle wxNativeFontInfo::GetStyle | ( |  | ) | const

bool wxNativeFontInfo::GetUnderlined | ( |  | ) | const

wxFontWeight wxNativeFontInfo::GetWeight | ( |  | ) | const

void wxNativeFontInfo::Init | ( |  | ) |

void wxNativeFontInfo::InitFromFont | ( | const wxFont & | font | ) |

wxNativeFontInfo& wxNativeFontInfo::operator= | ( | const wxNativeFontInfo & | info | ) |

void wxNativeFontInfo::SetEncoding | ( | wxFontEncoding | encoding | ) |

bool wxNativeFontInfo::SetFaceName | ( | const wxString & | facename | ) |

void wxNativeFontInfo::SetFaceName | ( | const wxArrayString & | facenames | ) |

void wxNativeFontInfo::SetFamily | ( | wxFontFamily | family | ) |

void wxNativeFontInfo::SetPixelSize | ( | const wxSize & | pixelSize | ) |

void wxNativeFontInfo::SetPointSize | ( | int | pointsize | ) |

void wxNativeFontInfo::SetStyle | ( | wxFontStyle | style | ) |

void wxNativeFontInfo::SetUnderlined | ( | bool | underlined | ) |

void wxNativeFontInfo::SetWeight | ( | wxFontWeight | weight | ) |

wxString wxNativeFontInfo::ToString | ( |  | ) | const

wxString wxNativeFontInfo::ToUserString | ( |  | ) | const